import Vue from 'vue'
import App from './App.vue'
import VueRouter from 'vue-router'

Vue.config.productionTip = false
Vue.use(VueRouter)

const router = new VueRouter({
  mode: 'history',
  base: __dirname,
  routes: [
    {
      name: 'root',
      path: '/',
      component: App }, // No props, no nothing
    {
      name: 'lookup',
      path: '/:lang/:id(\\d+)',
      component: App,
      props: true }, // Pass route.params to props
    {
      name: 'search',
      path: '/search',
      component: App,
      props: true}
  ]
})

new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
